abstract class Repository<T> {
  Future<T?> consultarPorId(int id);
  Future<List<T>> consultarPorCondicion(bool Function(T) condicion);
  Future<void> guardar(T entidad);
  Future<void> eliminar(int id);
  Future<List<T>> consultarConOrden(
      {String? orderBy,
      int? limit,
      int? offset,
      String? where,
      List<Object?>? whereArgs});
}
